ALK Public API
string · requiredinteger · min: 1integer · min: 1 · max: 200stringstring · uuidinteger · requiredinteger · requiredinteger · requiredinteger · required
string · required
Properties for BulkExtractRequest: boolean
List extractions
GET
https://api.alk.work
/api/v1/workflows/{workflow_id}/extractions
Paginated extraction results for the workflow.
path Parameters
workflow_idquery Parameters
pageDefault: 1
limitDefault: 50
document_idFilter extractions to a single document.
collection_idFilter extractions to all documents in a collection.
List extractions › Responses
Successful Response
totalTotal count
pageCurrent page
limitItems per page
pagesTotal pages
List of items
array
File URLs for each document, ordered by label_order when supplied.
Extract from bulk documents
POST
https://api.alk.work
/api/v1/workflows/{workflow_id}/extract
Run extraction for documents uploaded in the workflow.
path Parameters
workflow_idExtract from bulk documents › Request Body
anyOf
At least one variant must match. Multiple variants may match simultaneously.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object | |
| type = null |
Request to run bulk extraction
Specific documents to extract. Should be used for filtering
Collection ID to extract. Should be used for filtering
Specific columns to extract. Should be used for filtering
forceForce re-extraction of already extracted columns
Default: false
Extract from bulk documents › Responses
Successful Response
No data returned